Name: xaos
Version: 3.1pre5
Release: alt1
Summary: A real-time fractal zoomer

%def_with aalib
%def_without svgalib

License: GPL

Group: Sciences/Mathematics
Url: http://xaos.theory.org/
Source0: http://prdownloads.sourceforge.net/xaos/XaoS-%version.tar.bz2
Source1: xaos
Source10: %name.16.xpm.bz2
Source11: %name.32.xpm.bz2
Source12: %name.48.xpm.bz2

Patch1: XaoS-3.1pre5-includes.patch.bz2
Patch2: XaoS-3.1pre1-64bit-fixes.patch.bz2
Patch3: XaoS-3.1pre1-x11shm-errors.patch.bz2
Patch4: XaoS-3.1pre5-xlibs-path.patch.bz2
Patch5: XaoS-3.1pre5-autoconf-vars.patch.bz2

Provides : XaoS = %version
Obsoletes: XaoS

# Automatically added by buildreq on Tue Oct 15 2002
BuildRequires: XFree86-devel XFree86-libs aalib-devel libgpm-devel libncurses-devel libpng-devel libslang-devel libtinfo-devel zlib-devel

%description
XaoS is a real-time fractal zoomer. It is highly optimized. It features an
advanced help system and nice tutorial about a lot different fractals.

This package holds the binary that runs with X11.

%package svgalib
Summary: Real-time fractal zoomer, svgalib package
Group: Sciences/Mathematics
Obsoletes: XaoS-svgalib

%description svgalib
XaoS is a real-time fractal zoomer. It is highly optimized. It features an
advanced help system and nice tutorial about a lot different fractals.

This package holds (only) the binary that runs with svgalib.

%package aalib
Summary: Real-time fractal zoomer, aalib package
Group: Sciences/Mathematics
Obsoletes: XaoS-aalib

%description aalib
XaoS is a real-time fractal zoomer. It is highly optimized. It features an
advanced help system and nice tutorial about a lot different fractals.

This package holds (only) the binary that runs with aalib. (Ascii-Art)

%prep
%setup -q -n XaoS-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
autoconf_2.5

%build
BUILD_TAG=""

%if_with aalib
rm -f config.cache
%configure --without-x11-driver --without-ggi-driver --without-svga-driver --with-aa-driver
make
mv bin/xaos ./xaos-aalib
BUILD_TAG=yes
%endif

%if_with svgalib
[[ -n "$BUILD_TAG" ]] && { make clean; BUILD_TAG=""; }
rm -f config.cache
%configure --without-x11-driver --without-ggi-driver --with-svga-driver --without-aa-driver
make
mv bin/xaos ./xaos-svgalib
BUILD_TAG=yes
%endif

[[ -n "$BUILD_TAG" ]] && { make clean; BUILD_TAG=""; }
rm -f config.cache
%configure --with-x11-driver --without-ggi-driver --without-svga-driver --without-aa-driver
make

%install
mkdir -p $RPM_BUILD_ROOT%_infodir
%makeinstall

%if_with aalib
install -m755 xaos-aalib $RPM_BUILD_ROOT%_bindir
%endif

%if_with svgalib
install -m755 xaos-svgalib $RPM_BUILD_ROOT%_bindir
%endif

install -m644 help/xaos.hlp $RPM_BUILD_ROOT%_datadir/XaoS/catalogs

# menu entry
install -m 755 -d $RPM_BUILD_ROOT%_menudir
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/

# icon
mkdir -p $RPM_BUILD_ROOT%_miconsdir
mkdir -p $RPM_BUILD_ROOT%_liconsdir
bzcat %SOURCE10 > $RPM_BUILD_ROOT%_miconsdir/%name.xpm
bzcat %SOURCE11 > $RPM_BUILD_ROOT%_iconsdir/%name.xpm
bzcat %SOURCE12 > $RPM_BUILD_ROOT%_liconsdir/%name.xpm

%find_lang %name

%post
%update_menus
%install_info %name.info

%preun
%uninstall_info %name.info

%postun
%clean_menus

%files -f %name.lang
%doc COPYING TODO doc/ANNOUNCE doc/PROBLEMS doc/README doc/README.bugs doc/compilers.txt 
%_bindir/%name
%_datadir/XaoS
%_mandir/man6/*
%_infodir/*.info*
%_menudir/*
%_miconsdir/%name.xpm
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm

%if_with svgalib
%files svgalib
%doc COPYING
%_bindir/xaos-svgalib
%endif

%if_with aalib
%files aalib
%doc COPYING
%_bindir/xaos-aalib
%endif

%changelog
* Tue Oct 15 2002 Stanislav Ievlev <inger@altlinux.ru> 3.1pre5-alt1
- pre5
- sync with MDK

* Fri Oct 12 2001 Stanislav Ievlev <inger@altlinux.ru> 3.1pre1-ipl18mdk
- spec cleanup.
- rebuild with new libpng.

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-16mdk
- some forgotten `obsoletes' tags

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-15mdk
- change name to xaos (e.g. uppercase names suck)

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-14mdk
- fixed missing install_info

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-13mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.1pre1-12mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-11mdk
- rebuild for buggy % clean_menus

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-10mdk
- BM
- macros for menu/icons

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-9mdk
- macros

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 3.1pre1-8mdk
- added ppc ExclusiveArch

* Tue May  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-7mdk
- added exclusivearch with the help of S. Van der Eijk

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-6mdk
- added 32x32 icons, fixed hardcoded path in menu entries
- added lacking [ $1 = 0 ] in postun script

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1pre1-5mdk
- Don't own shared directiries
- Use $RPM_OPT_FLAGS, don't build for i686 when I say i586

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1pre1-4mdk
- Fix group

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-3mdk
- added icon

* Mon Mar 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-2mdk
- add menu entry

* Sat Mar 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-1mdk
- 3.1pre1
- holy patch to remove crash when invoking help
